'Nokia 6610i LCD + ESP8266 Wifi Module = Simple Internet Browser
'By Behnam Zakizadeh @ 10.09.1394 [2015]
'www.avr64.com

$regfile = "m8def.dat"
$crystal = 11059200

$hwstack = 40
$swstack = 40
$framesize = 40

$baud = 115200

$lib "LCD-pcf8833BR2.LBX"

Enable Interrupts
Enable Urxc
On Urxc Recive_s

'vars
Dim Ssid As String * 32
Dim Password As String * 32
dim msg as String * 15
Dim Arr(500) As Byte
Dim Index As Word

'subs
declare sub label1()
declare sub clr()

'color lcd
Config Graphlcd = Color , Controlport = Portc , Cs = 2 , Rs = 5 , Scl = 3 , Sda = 4

'colors
Const Blue = &B00000011
Const Yellow = &B11111100
Const Red = &B11100000
Const Green = &B00011100
Const Black = &B00000000
Const White = &B11111111
Const Brightgreen = &B00111110
Const Darkgreen = &B00010100
Const Darkred = &B10100000
Const Darkblue = &B00000010
Const Brightblue = &B00011111
Const Orange = &B11111000

Setfont Color8x8

'---------------------------------------------------------------------------------
'main prog start here:
cls

Line(1 , 1) -(128 , 1) , blue
Line(1 , 1) -(1 , 128) , blue
Line(1 , 128) -(128 , 128) , blue
Line(128 , 1) -(128 , 128) , blue
Box(2 , 2) -(128 , 8) , blue
Line(126 , 3) -(124 , 5) , white
Line(126 , 5) -(124 , 3) , white

Box(4 , 10) -(100 , 21) , black
Box(5 , 11) -(99 , 20) , white

Lcdat 12 , 6 , "AVR64.com/t" , black , white

Box(102 , 10) -(127 , 21) , black
Lcdat 12 , 108 , "Go" , white , black

Box(4 , 23) -(127 , 127) , black
Box(5 , 24) -(126 , 126) , white


Lcdat 26,6, "              " , black , white
Lcdat 26,6, "Init...", black , white

Wait 2
Print "AT+CWMODE=1"                                         'Set Station Mode

Lcdat 26,6, "              " , black , white
Lcdat 26,6, "AT+CWMODE=1", black , white

Wait 5
Ssid = "avr64"                                             'ADSL Modem Name
Password = "12345678"                                       'ADSL Modem Password
Print "AT+CWJAP={034}" ; Ssid ; "{034}" ; "," ; "{034}" ; Password ; "{034}"       'Connect to ADSL Modem

Lcdat 26,6, "              " , black , white
Lcdat 26,6, "AT+CWJAP=...", black , white

Wait 5
'Print "AT+CWJAP?" 'show connected modem
'Wait 5
'Print "AT+CIFSR" 'show module IP & MAC address
'Wait 5

Print "AT+CIPMUX=1"

Lcdat 26,6, "              " , black , white
Lcdat 26,6, "AT+CIPMUX=1", black , white

Wait 5


call clr()

Do

   Lcdat 26,6, "              " , black , white
   Lcdat 26,6, "Connecting...", black , white

   '******************* Connect To TCP Web Server & GET URL *********************
   Print "AT+CIPCLOSE=4" : Wait 1
   Print "AT+CIPSTART=4,{034}TCP{034},{034}avr64.com{034},80" : Wait 1
   Print "AT+CIPSEND=4,44" : Wait 1                         'Note: 83 is len of two below print line: 58+19+6   and 6 is a fixed number(three CR-LF char of three below print line)

   Print "GET /t.htm HTTP/1.1" : Wait 1       '19 (+2 hidden char CR,LF) =21
   Print "Host: www.avr64.com" : Wait 1:index = 1  ': Clear Serialin    '19  (+2 hidden char CR,LF) =21
   Print "" : Wait 1 '0  (+2 hidden char CR,LF)
   '****************************************************************************


   Lcdat 26,6, "              " , black , white
   Lcdat 26,6, "index= "+str(index), black , white
   wait 1

   call label1()
   wait 5

Loop


End

'_______________________________________________________________________________

sub clr()
   local i as word
   for i = 1 to 500
      arr(i) = 32 'space char
   next i
end sub
'_______________________________________________________________________________

'dispaly arr(500) on color lcd
sub label1()
   'Max 330 char to display   (165 char per page) [2 page]
   local i as word
   msg = ""
   'CLS
   Lcdat 26,6, "               " , black , white '15
   Lcdat 35,6, "               " , black , white '30
   Lcdat 44,6, "               " , black , white '45
   Lcdat 53,6, "               " , black , white '60
   Lcdat 62,6, "               " , black , white '75
   Lcdat 71,6, "               " , black , white '90
   Lcdat 80,6, "               " , black , white '105
   Lcdat 89,6, "               " , black , white '120
   Lcdat 98,6, "               " , black , white '135
   Lcdat 107,6, "               " , black , white '150
   Lcdat 116,6, "               " , black , white '165
   wait 1
   for i = 1 to 15
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 26,6, msg, black , white
   msg = ""
   for i = 16 to 30
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 35,6, msg, black , white
   msg = ""
   for i = 31 to 45
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 44,6, msg, black , white
   msg = ""
   for i = 46 to 60
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 53,6, msg, black , white
   msg = ""
   for i = 61 to 75
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 62,6, msg, black , white
   msg = ""
   for i = 76 to 90
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 71,6, msg, black , white
   msg = ""
   for i = 91 to 105
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 80,6, msg, black , white
   msg = ""
   for i = 106 to 120
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 89,6, msg, black , white
   msg = ""
   for i = 121 to 135
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 98,6, msg, black , white
   msg = ""
   for i = 136 to 150
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 107,6, msg, black , white
   msg = ""
   for i = 151 to 165
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 116,6, msg, black , white


   wait 5
   'CLS
   Lcdat 26,6, "               " , black , white '15
   Lcdat 35,6, "               " , black , white '30
   Lcdat 44,6, "               " , black , white '45
   Lcdat 53,6, "               " , black , white '60
   Lcdat 62,6, "               " , black , white '75
   Lcdat 71,6, "               " , black , white '90
   Lcdat 80,6, "               " , black , white '105
   Lcdat 89,6, "               " , black , white '120
   Lcdat 98,6, "               " , black , white '135
   Lcdat 107,6, "               " , black , white '150
   Lcdat 116,6, "               " , black , white '165
   'next page

   msg = ""
   for i = 166 to 180
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 26,6, msg, black , white

   msg = ""
   for i = 181 to 195
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 35,6, msg, black , white

   msg = ""
   for i = 196 to 210
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 44,6, msg, black , white

   msg = ""
   for i = 211 to 225
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 53,6, msg, black , white

   msg = ""
   for i = 226 to 240
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 62,6, msg, black , white

   msg = ""
   for i = 241 to 255
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 71,6, msg, black , white

   msg = ""
   for i = 256 to 270
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 80,6, msg, black , white

   msg = ""
   for i = 271 to 285
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 89,6, msg, black , white

   msg = ""
   for i = 286 to 300
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 98,6, msg, black , white

   msg = ""
   for i = 301 to 315
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 107,6, msg, black , white

   '(
   msg = ""
   for i = 316 to 330
      if arr(i) < 32 or arr(i) > 126 then
         msg = msg + " "
      else
         msg = msg +  chr(arr(i))
      end if
   next i
   Lcdat 116,6, msg, black , white
   ')

end sub
'_______________________________________________________________________________

Recive_s:
   Arr(index) = Udr
   If Index < 500 Then Incr Index                           'to prevent out bound of Array
Return
'_______________________________________________________________________________

$include "color8x8.font"

'end of file